Skip to content

List points in a knowledge table ​

Returns the rows (points) of a knowledge table with their field values. Pagination uses a cursor — pass next_page_offset from the previous response to fetch the next page.

GET/api/user/knowledge-tables/{knowledgeTable}/points
Required scope: knowledge:read
Path parameters
integer
Query parameters
integer
string
curl -X GET "https://loopx-console.test/api/user/knowledge-tables/1/points?per_page=25" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Accept: application/json"
<?php

use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('GET', 'https://loopx-console.test/api/user/knowledge-tables/1/points?per_page=25', [
    'headers' => [
        'Authorization' => 'Bearer $TOKEN',
        'Accept'        => 'application/json',
    ]
]);

$data = json_decode($response->getBody(), true);
const res = await fetch('https://loopx-console.test/api/user/knowledge-tables/1/points?per_page=25', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer $TOKEN',
    Accept: 'application/json'
  }
});

const data = await res.json();

Example response

{
  "status": true,
  "code": 200,
  "validation": [],
  "message": "Knowledge Tables Points",
  "data": {
    "user_id": 2,
    "source_id": 1,
    "records": [
      {
        "point_id": "197094647936950031",
        "default_id": "43750bf4-d984-4607-a39a-03bbb712eb3f",
        "source_id": 1,
        "source_name": "GenuDo KB",
        "modified_date": "2026-06-29T10:21:15.774628",
        "text": "question: Can I assign different roles or permissions to team members?\nanswer: No, role-based access control is not currently supported. It is planned for future versions.",
        "data": {
          "question": "Can I assign different roles or permissions to team members?",
          "answer": "No, role-based access control is not currently supported. It is planned for future versions."
        },
        "usage_data": {
          "latest_time_used": null,
          "used_count": 0
        }
      }
    ],
    "count": 1,
    "next_page_offset": "402614277816319424"
  }
}

Path parameters ​

NameTypeRequired
knowledgeTableintegeryes

Query parameters ​

NameTypeDescription
per_pageintegerRows per page
next_page_offsetstringCursor returned from the previous response. Omit on the first call.

Response fields ​

FieldTypeDescription
records[].point_idstringInternal vector store id
records[].default_idstringYour stable id — use it in Upsert and Delete
records[].source_id, source_nameinteger, stringThe knowledge table id and name
records[].textstringFull rendered text of the point (all columns concatenated)
records[].dataobjectOriginal column values, keyed by column name
records[].usage_dataobjectRetrieval telemetry — used_count and latest_time_used
records[].modified_datetimestampLast edit time
countintegerNumber of records returned in this page
next_page_offsetstring | nullCursor for the next page — null when there are no more results

Paginating ​

GET /api/user/knowledge-tables/1/points?per_page=25
→ next_page_offset: "402614277816319424"

GET /api/user/knowledge-tables/1/points?per_page=25&next_page_offset=402614277816319424
→ next_page_offset: null   ← done